#2729 closed defect (fixed)

TFTP client uses wrong semaphore for mutual exclusion

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

cpukit/libnetworking/lib/tftpDriver.c-    rtems_build_name('T', 'F', 'T', 'P'),
cpukit/libnetworking/lib/tftpDriver.c-    1,
cpukit/libnetworking/lib/tftpDriver.c-    RTEMS_FIFO |
cpukit/libnetworking/lib/tftpDriver.c:    RTEMS_BINARY_SEMAPHORE |
cpukit/libnetworking/lib/tftpDriver.c-    RTEMS_NO_INHERIT_PRIORITY |
cpukit/libnetworking/lib/tftpDriver.c-    RTEMS_NO_PRIORITY_CEILING |
cpukit/libnetworking/lib/tftpDriver.c-    RTEMS_LOCAL,

Should use a binary semaphore with inherit priority.

Change History (4)

comment:1 Changed on Jun 6, 2016 at 9:55:31 AM by Sebastian Huber

Owner: set to Sebastian Huber
Status: newassigned

comment:2 Changed on Jun 6, 2016 at 11:16:50 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In a2f91f6cb87a5c53d1bb6f3dcb4ad9153078918f/rtems:

tftp: Use proper semaphore attr for mutex

Close #2729.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.